/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.cache.optimistic;

import org.jboss.cache.TreeCache;

/**
 * A simple test that runs through N loops of the test and measures time taken using a local, no cacheloader config.
 *
 * @author <a href="mailto:manik@jboss.org">Manik Surtani (manik@jboss.org)</a>
 */
public class LocalPessimisticTest extends OptimisticPerfTestBase
{
    protected void configure() throws Exception
    {
        testName = "localPessimisticTest";
        cache = new TreeCache();
        cache.setCacheMode(TreeCache.LOCAL);
        cache.startService();
    }

    public static void main(String[] args) throws Exception
    {
        new LocalPessimisticTest().runTests();
    }
}
